glibmm: Glib::RegexError Class Reference

# Glib::RegexError Class Reference

Exception class for Regex. More...

`#include <glibmm/regex.h>`

Inheritance diagram for Glib::RegexError:
[legend]

List of all members.

## Public Types

enum

Code {
COMPILE = 0,
OPTIMIZE = 1,
REPLACE = 2,
MATCH = 3,
INTERNAL = 4,
STRAY_BACKSLASH = 101,
MISSING_CONTROL_CHAR = 102,
UNRECOGNIZED_ESCAPE = 103,
QUANTIFIERS_OUT_OF_ORDER = 104,
QUANTIFIER_TOO_BIG = 105,
UNTERMINATED_CHARACTER_CLASS = 106,
INVALID_ESCAPE_IN_CHARACTER_CLASS = 107,
RANGE_OUT_OF_ORDER = 108,
NOTHING_TO_REPEAT = 109,
UNRECOGNIZED_CHARACTER = 112,
POSIX_NAMED_CLASS_OUTSIDE_CLASS = 113,
UNMATCHED_PARENTHESIS = 114,
INEXISTENT_SUBPATTERN_REFERENCE = 115,
UNTERMINATED_COMMENT = 118,
EXPRESSION_TOO_LARGE = 120,
MEMORY_ERROR = 121,
VARIABLE_LENGTH_LOOKBEHIND = 125,
MALFORMED_CONDITION = 126,
TOO_MANY_CONDITIONAL_BRANCHES = 127,
ASSERTION_EXPECTED = 128,
UNKNOWN_POSIX_CLASS_NAME = 130,
POSIX_COLLATING_ELEMENTS_NOT_SUPPORTED = 131,
HEX_CODE_TOO_LARGE = 134,
INVALID_CONDITION = 135,
SINGLE_BYTE_MATCH_IN_LOOKBEHIND = 136,
INFINITE_LOOP = 140,
MISSING_SUBPATTERN_NAME_TERMINATOR = 142,
DUPLICATE_SUBPATTERN_NAME = 143,
MALFORMED_PROPERTY = 146,
UNKNOWN_PROPERTY = 147,
SUBPATTERN_NAME_TOO_LONG = 148,
TOO_MANY_SUBPATTERNS = 149,
INVALID_OCTAL_VALUE = 151,
TOO_MANY_BRANCHES_IN_DEFINE = 154,
DEFINE_REPETION = 155,
INCONSISTENT_NEWLINE_OPTIONS = 156,
MISSING_BACK_REFERENCE = 157
}

## Public Member Functions

| RegexError (Code error_code, const Glib::ustring& error_message)
| RegexError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Regex.

## Member Enumeration Documentation

enum Glib::RegexError::Code

Enumerator:

  COMPILE |
  OPTIMIZE |
  REPLACE |
  MATCH |
  INTERNAL |
  STRAY_BACKSLASH |
  MISSING_CONTROL_CHAR |
  UNRECOGNIZED_ESCAPE |
  QUANTIFIERS_OUT_OF_ORDER |
  QUANTIFIER_TOO_BIG |
  UNTERMINATED_CHARACTER_CLASS |
  INVALID_ESCAPE_IN_CHARACTER_CLASS |
  RANGE_OUT_OF_ORDER |
  NOTHING_TO_REPEAT |
  UNRECOGNIZED_CHARACTER |
  POSIX_NAMED_CLASS_OUTSIDE_CLASS |
  UNMATCHED_PARENTHESIS |
  INEXISTENT_SUBPATTERN_REFERENCE |
  UNTERMINATED_COMMENT |
  EXPRESSION_TOO_LARGE |
  MEMORY_ERROR |
  VARIABLE_LENGTH_LOOKBEHIND |
  MALFORMED_CONDITION |
  TOO_MANY_CONDITIONAL_BRANCHES |
  ASSERTION_EXPECTED |
  UNKNOWN_POSIX_CLASS_NAME |
  POSIX_COLLATING_ELEMENTS_NOT_SUPPORTED |
  HEX_CODE_TOO_LARGE |
  INVALID_CONDITION |
  SINGLE_BYTE_MATCH_IN_LOOKBEHIND |
  INFINITE_LOOP |
  MISSING_SUBPATTERN_NAME_TERMINATOR |
  DUPLICATE_SUBPATTERN_NAME |
  MALFORMED_PROPERTY |
  UNKNOWN_PROPERTY |
  SUBPATTERN_NAME_TOO_LONG |
  TOO_MANY_SUBPATTERNS |
  INVALID_OCTAL_VALUE |
  TOO_MANY_BRANCHES_IN_DEFINE |
  DEFINE_REPETION |
  INCONSISTENT_NEWLINE_OPTIONS |
  MISSING_BACK_REFERENCE |

## Constructor & Destructor Documentation

Glib::RegexError::RegexError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::RegexError::RegexError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::RegexError::code | ( |  | ) | const

Reimplemented from Glib::Error.